> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Entry Lines

> This endpoint lists the line items of an account in the general ledger of a business.

### Path Parameters

<ParamField path="business_id" required="true" type="string">
  ID of the [Business](/api-reference/business/business) the Ledger is associated with.
</ParamField>

<ParamField path="account_id" required="true" type="string">
  ID of the [Ledger Account](/api-reference/ledger/chart#ledger-account-object).
</ParamField>

### Response

Returns an array of [Line Item](/api-reference/ledger/chart#ledger-account-line-item-object) objects for the ledger Account.

<RequestExample>
  ```bash Request theme={null}
  curl https://sandbox.layerfi.com/v1/businesses/863ed926-e30d-40f4-8e7e-b0d5387ce4fb/ledger/accounts/e33a4b0d-8da6-4b2f-b9f9-17bbbeab9efe/lines \
    -H "Authorization: Bearer <access_token>"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "data": [
          {
              "type": "Ledger_Account_Line_Item",
              "id": "2fbae241-b7d2-4e9d-ae92-14d123e8beb3",
              "entry_id": "8a01e025-c111-4360-b3e0-eecaf70a560e",
              "account": {
                  "id": "50edc310-66ab-4380-b1de-0d52c24821b2",
                  "name": "Rent",
                  "stable_name": "RENT_EXPENSE",
                  "normality": "DEBIT",
                  "account_type": {
                      "value": "EXPENSE",
                      "display_name": "Expenses"
                  },
                  "account_subtype": {
                      "value": "OPERATING_EXPENSES",
                      "display_name": "Operating Expenses"
                  }
              },
              "amount": 250000,
              "direction": "DEBIT",
              "date": "2024-05-01T19:00:00Z",
              "source": {
                  "type": "Transaction_Ledger_Entry_Source",
                  "transaction_id": "073afbfd-e25d-4c62-b591-060740f00cf8",
                  "external_id": "12345-example-1234-expense-243",
                  "account_name": "Layer Demo Banking",
                  "date": "2024-05-01T19:00:00Z",
                  "amount": 250000,
                  "direction": "DEBIT",
                  "counterparty": "WeWork",
                  "entity_name": "Bank Transaction",
                  "display_description": "Layer Demo Banking transaction May 1"
              },
              "running_balance": 3000000,
              "transaction": {
                  "id": "073afbfd-e25d-4c62-b591-060740f00cf8",
                  "business_id": "f9baa8fd-9413-4bcf-810b-6d32604de649",
                  "source": "UNIT",
                  "source_transaction_id": "12345-example-1234-expense-243",
                  "source_account_id": "1234",
                  "imported_at": "2024-05-23T03:51:15.868689Z",
                  "date": "2024-05-01T19:00:00Z",
                  "direction": "DEBIT",
                  "amount": 250000,
                  "counterparty_name": "WeWork",
                  "description": null,
                  "account_name": "Layer Demo Banking",
                  "categorization_status": "CATEGORIZED",
                  "category": {
                      "type": "Account",
                      "id": "50edc310-66ab-4380-b1de-0d52c24821b2",
                      "stable_name": "RENT_EXPENSE",
                      "category": "RENT_EXPENSE",
                      "display_name": "Rent"
                  },
                  "projected_income_category": "EXPENSE",
                  "suggested_matches": [],
                  "match": null,
                  "transaction_tags": []
              },
              "invoice": null
          }
      ],
      "meta": {}
  }
  ```
</ResponseExample>
